Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		libsyncml
#Epoch:		0
Version:	0.5.4
Release:	1
License:	GNU/LGPL
URL:		https://libsyncml.opensync.org/
Group:		System/Libraries
Summary:	implementation of the SyncML protocol
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:
BuildRequires: cmake
BuildRequires: check-devel

BuildRequires: gnutls-devel

#Automatically resolved build dependencies
BuildRequires: bluez-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: libsoup-devel
BuildRequires: libwbxml-devel
BuildRequires: libxml2-devel
BuildRequires: openobex-devel
BuildRequires: pkg-config

%description
Libsyncml implements the SyncML protocol. It supports SyncML version 1.0, 1.1 and 1.2. The available transports are Obex and HTTP. This library can be used as a client or as a server. 

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
mkdir build-i686
pushd build-i686
cmake ../. -DCMAKE_INSTALL_PREFIX=%{_prefix} -DHAVE_LIBSOUP24=ON
make %{?_smp_mflags}
popd

%install
rm -Rf $RPM_BUILD_ROOT
pushd build-i686
make install DESTDIR=$RPM_BUILD_ROOT
popd

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/syncml-ds-tool
%{_libdir}/libsyncml.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/libsyncml-1.0/libsyncml
%{_libdir}/libsyncml.so
%{_pkgconfig}/libsyncml-1.0.pc

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Tue Mar 16 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.5.4-1
- initial CCux package release
